# -*- coding: utf-8 -*-
u"""Утилиты для работы с элементами управления (интерфейсами)."""

import objectpack
from m3_ext.ui import all_components as ext


def anchor100(*elements):
    u"""Установка anchor='100%' для перечня компонент."""
    return list(
        objectpack.ui.anchor100(element)
        for element in elements
    )


def deny_blank(*elements):
    u"""Установка allow_blank=False для перечня компонент."""
    return list(
        objectpack.ui.deny_blank(element)
        for element in elements
    )


def formed(ctl, width=-1, label_width=100, **kwargs):
    u"""Возращает control в контейнере."""
    cont = ext.ExtContainer(layout='form')
    cont.items.append(ctl)
    ctl.anchor = '100%'
    if width > 0:
        cont.width = width
    else:
        cont.flex = -width
    cont.label_width = label_width
    cont.anchor = '100%'
    return objectpack.modify(cont, **kwargs)
